import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const helloWorldScss = ":host{display:block}.cmp-helloworld{background-color:lemonchiffon;width:min-content;border-radius:8px;padding:16px;margin:16px}.cmp-helloworld__item-output{font-size:24px;line-height:32px;font-weight:700}";

const HelloWorld$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.text = undefined;
    this.message = undefined;
  }
  render() {
    return (h(Host, null, h("div", { class: "cmp-helloworld" }, h("h2", { class: "cmp-helloworld__title" }, "Hello, World!"), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Text property:"), h("pre", { class: "cmp-helloworld__item-output" }, "I'm ", this.text)), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Model message:"), h("pre", { class: "cmp-helloworld__item-output" }, this.message)))));
  }
  static get style() { return helloWorldScss; }
}, [1, "hello-world", {
    "text": [1],
    "message": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["hello-world"];
  components.forEach(tagName => { switch (tagName) {
    case "hello-world":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, HelloWorld$1);
      }
      break;
  } });
}

const HelloWorld = HelloWorld$1;
const defineCustomElement = defineCustomElement$1;

export { HelloWorld, defineCustomElement };
