import { r as registerInstance, h, H as Host } from './index-55f1b28d.js';

const helloWorldScss = ":host{display:block}.cmp-helloworld{background-color:lemonchiffon;width:min-content;border-radius:8px;padding:16px;margin:16px}.cmp-helloworld__item-output{font-size:24px;line-height:32px;font-weight:700}";

const HelloWorld = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.text = undefined;
    this.message = undefined;
  }
  render() {
    return (h(Host, null, h("div", { class: "cmp-helloworld" }, h("h2", { class: "cmp-helloworld__title" }, "Hello, World!"), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Text property:"), h("pre", { class: "cmp-helloworld__item-output" }, "I'm ", this.text)), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Model message:"), h("pre", { class: "cmp-helloworld__item-output" }, this.message)))));
  }
};
HelloWorld.style = helloWorldScss;

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const myComponentCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.first = undefined;
    this.middle = undefined;
    this.last = undefined;
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return h("div", null, "Hello, World! I'm ", this.getText());
  }
};
MyComponent.style = myComponentCss;

export { HelloWorld as hello_world, MyComponent as my_component };
